# vim: set ts=4 sw=4 et:
# Copyright (c) 2007 - 2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to packman@links2linux.de

%define sover	1

Summary:        Graphical DVD Ripper
Name:           ogmrip
Version:        1.0.1
Release:        pm153.4.10
Source:         http://prdownloads.sourceforge.net/ogmrip/%{name}-%{version}.tar.gz
Source90:       %{name}-rpmlintrc
Patch0:         ogmrip-dvdread.patch
Patch2:         %{name}-gcc43.patch
License:        LGPL-2.1+
Group:          Productivity/Multimedia/Video/Editors and Convertors
Url:            http://ogmrip.sourceforge.net/
%gconf_schemas_prereq

BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(dbus-glib-1)
BuildRequires:  pkgconfig(dvdread)
BuildRequires:  pkgconfig(enca)
BuildRequires:  pkgconfig(enchant)
BuildRequires:  pkgconfig(gconf-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gmodule-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(libglade-2.0)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  sed
BuildRequires:  update-desktop-files

Requires:       MPlayer
Requires:       enchant
Requires:       gconf2
Requires:       gocr
Requires:       mkvtoolnix
Requires:       ogmtools
Requires:       subtitleripper
Requires:       vorbis-tools
Requires:       libogmrip%{sover} = %{version}-%{release}

%description
OGMRip is an application and a set of libraries for ripping and
encoding DVD into AVI, OGM MP4 or Matroska files using a wide
variety of codecs. It relies on mplayer, mencoder, ogmtools,
mkvtoolnix, oggenc, lame and faac to perform its tasks.

The GUI features a clean HIG-compliant GNOME 2 interface and
tries to minimize as much as possible esoteric settings.

Features
* transcodes from DVD or files
* outputs ogm, avi, matroska or mp4 files
* supports a lot of codecs (vorbis, mp3, pcm, ac3, dts, aac,
  xvid, lavc, x264, theora)
* calculates video bitrate for a given filesize
* autodetects cropping parameters and scaling factors
* supports multiple audio and subtitles streams encoding
* extracts subtitles in srt or vobsub format
* uses maximum quality codec switches
* rips contiguous chapters

%package -n libogmrip%{sover}
Summary:        DVD ripping libraries from ogmrip
Group:          System/Libraries
Provides:       libogmrip = %{version}-%{release}
Obsoletes:      libogmrip < %{version}-%{release}

%description -n libogmrip%{sover}
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.

This package contains the set of libraries.

%package -n libogmrip-devel
Summary:        DVD ripping libraries from ogmrip
Group:          Development/Libraries/C and C++
Requires:       libogmrip%{sover} = %{version}-%{release}

%description -n libogmrip-devel
OGMRip is an application and a set of libraries for ripping and
encoding DVD into DivX/OGM files.

This package contains the development parts of these libraries.

%lang_package

%prep
%autosetup -p1

%build
export GCONFTOOL=$(type -P gconftool-2)
export GLIB_GENMARSHAL=$(type -P glib-genmarshal)
export MPLAYER_PROG=%{_bindir}/mplayer
export MENCODER_PROG=%{_bindir}/mencoder
export SED_PROG=$(type -P sed)
${SED_PROG} -i -e 's|-Werror||g' \
    configure
export CFLAGS='%{optflags} -Wno-deprecated-declarations'
autoreconf -fiv
%configure \
    --disable-gtk-doc \
    --disable-schemas-install
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# icon
install -D -m0644 "data/%{name}.png" \
    "%{buildroot}%{_datadir}/pixmaps/%{name}.png"

# menu-entry
cat > %{name}.desktop << EOF
[Desktop Entry]
Comment=OGMRip DVD Encoder
Name=OGMRip DVD Encoder
GenericName=DVD Ripper and Encoder
Type=Application
Exec=%{name}
Icon=%{name}
EOF
%suse_update_desktop_file -i "%{name}" AudioVideo AudioVideoEditing

rm -fv %{buildroot}%{_libdir}/lib*.{la,a}
rm -fv %{buildroot}%{_libdir}/%{name}/*/*.{la,a,h}

%find_lang %{name}
%find_gconf_schemas

%fdupes -s "%{buildroot}%{_datadir}/usr/share/gtk-doc/"

%post   -n libogmrip%{sover} -p /sbin/ldconfig
%postun -n libogmrip%{sover}  -p /sbin/ldconfig

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%files lang -f %{name}.lang

%files -f %{name}.schemas_list
%doc AUTHORS ChangeLog README TODO
%{_bindir}/avibox
%{_bindir}/dvdcpy
%{_bindir}/ogmrip
%{_bindir}/subp2pgm
%{_bindir}/subp2png
%{_bindir}/subp2tiff
%{_bindir}/subptools
%{_bindir}/theoraenc
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/audio-plugins
%{_libdir}/%{name}/audio-plugins/lib*.so
%dir %{_libdir}/%{name}/container-plugins
%{_libdir}/%{name}/container-plugins/lib*.so
%dir %{_libdir}/%{name}/options-plugins
%{_libdir}/%{name}/options-plugins/lib*.so
%dir %{_libdir}/%{name}/subp-plugins
%{_libdir}/%{name}/subp-plugins/lib*.so
%dir %{_libdir}/%{name}/video-plugins
%{_libdir}/%{name}/video-plugins/lib*.so
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.glade
%{_datadir}/%{name}/*.xml
%dir %{_datadir}/%{name}/profiles
%{_datadir}/%{name}/profiles/profiles.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%doc %{_mandir}/man1/*.1.*

%files -n libogmrip%{sover}
%{_libdir}/libogm*.so.%{sover}
%{_libdir}/libogm*.so.%{sover}.*

%files -n libogmrip-devel
%{_includedir}/ogmrip
%{_includedir}/ogmdvd
%{_includedir}/ogmjob
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*.pc
%doc %{_datadir}/gtk-doc/html/ogm*

%changelog
* Thu Aug 27 2015 diego.ercolani@gmail.com
- Updated to 1.0.1
* Sat Mar 30 2013 pascal.bleser@opensuse.org
- update to 1.0.0
* Sat Oct 15 2011 pascal.bleser@opensuse.org
- add workaround for openSUSE versions where the zlib-devel package
  does not provide a zlib.pc
* Sat Sep 24 2011 pascal.bleser@opensuse.org
- update to 0.13.7
* Sun Aug 22 2010 pascal@links2linux.de
- update to 0.13.6:
  * fixes a crash when loading some DVD
  * improves support for interlaced video
  * improves support for recent versions of mencoder
  * improves support for x264 codec options
* Fri May 21 2010 pascal@links2linux.de
- update to 0.13.5:
  * fixes scaling with minimum and/or maximum sizes
  * fixes other minor issues
* Mon Mar 22 2010 pascal@links2linux.de
- update to 0.13.4:
  * minor bugfixes
  * minor feature enhancements
* Thu Dec 24 2009 toni@links2linux.de
- update to 0.13.3
  * This version is mostly a bugfix release. It also improves A/V sync and support
  for x264, XviD, and DTS.
* Sun Nov  8 2009 toni@links2linux.de
- applied patch http://sourceforge.net/tracker/?func=detail&aid=2891898&group_id=75595&atid=544487
  This patch adds support for x264 build 78 which makes b_pyramid spec-compliant
* Thu Oct  8 2009 pascal.bleser@opensuse.org
- update to 0.13.2:
  * fixes a few issues
  * removes the dependencies on HAL and eject
  * greatly improves x264 support
- changes from 0.13.1:
  * mostly a bugfix release
  * power manager inhibition
  * x264 lossless support
- changes from 0.13.0:
  * encoding queues
  * automatic compressibility test
  * autodetection of progressive and telecine
  * adds support for hardcoded subtitles and encodings at constant bitrate or quantizer
  * new plugins and profiles are also available on the Web site
* Sun Feb  1 2009 toni@links2linux.de
- update to 0.12.3
* Tue Dec 23 2008 toni@links2linux.de
- rebuild with new libdvdread(-devel)
* Sun Sep 28 2008 toni@links2linux.de
- update to 0.12.2
* Tue Jul 15 2008 toni@links2linux.de
- update to 0.12.1
* Mon Jun  9 2008 toni@links2linux.de
- update to 0.12.0
* Sun Dec 30 2007 toni@links2linux.de
- corrected Requires for libogmrip-devel
- needs now additionally: BuildRequires: tcl tk
* Sat Dec 22 2007 toni@links2linux.de
- update to 0.11.2
* Sun Oct 21 2007 toni@links2linux.de
- update to 0.11.1
* Sun Oct  7 2007 toni@links2linux.de
- fixed %%%%post gconftool-2 openSuSE-10.3
* Sun Sep 30 2007 toni@links2linux.de
- update to 0.11.0
* Mon Mar 12 2007 toni@links2linux.de
- update to 0.10.3
* Tue Feb 13 2007 toni@links2linux.de
- initial package for packman 0.10.2
- repacked as tar.bz2
